## rockdodger 0.6.0a

=== Makefile ===
#   Rock Dodger! Avoid the rocks as long as you can!
#   Copyright (C) 2001  Paul Holt <pad@pcholt.com>

#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.

#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

VERSION=0.6.0a
PACKAGENAME=rockdodger
NEWD=$(PACKAGENAME)-$(VERSION)
TMP=/tmp
OPTIONS=-DVERSION=\"$(VERSION)\" -DCOMPILEDATE=\"28/7/02\"
SOUNDSOURCE=sound
EXENAME=rockdodger

#SOUNDLIBRARIES=-lvorbisfile -lvorbis -logg
#SOUNDLIBRARIES=
SOUNDLIBRARIES=-lSDL_mixer

LIBRARIES=`sdl-config --libs` -lSDL_image $(SOUNDLIBRARIES)

all:	$(EXENAME)

.c.o:
	cc -c -g $? `sdl-config --cflags` $(OPTIONS)

$(EXENAME):	SFont.o $(SOUNDSOURCE).o main.o
	cc -o $(EXENAME) $+ $(LIBRARIES)

clean:
	rm *.o $(EXENAME)

package: $(EXENAME)
	mkdir -p $(TMP)/$(NEWD)/data
	cp *.c *.h Makefile COPYING *.xpm $(TMP)/$(NEWD)
	cp data/*.{png,bmp,wav,mod} $(TMP)/$(NEWD)/data
	( cd $(TMP);  tar zcf $(NEWD).tar.gz $(NEWD) )
	rm -rf $(TMP)/$(NEWD)
	mv $(TMP)/$(NEWD).tar.gz .

install:	all
	# rhk made the point the next line must be a copy, in case /usr/games is on a different partition
	cp $(EXENAME) /usr/games
	mkdir -p /usr/share/rockdodger/data
	cp data/*.{bmp,png,wav,mod} /usr/share/rockdodger/data
	chmod a+r /usr/share/rockdodger/data/*
	chmod a+r /usr/share/rockdodger/data
	touch /usr/share/rockdodger/.highscore
	chmod a+rw /usr/share/rockdodger/.highscore

## rockdodger 0.9.2

=== Makefile ===
#   Rock Dodger! Avoid the rocks as long as you can!
#   Copyright (C) 2001- Paul Holt <pcholt@gmail.com>,
#                 2010- Robert P Krawczyk <rpkrawczyk@gmail.com>

#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.

#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

profile=0
debug=0

VMAJOR=0
VMINOR=9
VRELEASE=2
VERSION=$(VMAJOR).$(VMINOR).$(VRELEASE)
PACKAGENAME=rockdodger

prefix = $(DESTDIR)/usr/local
INSTALL=/usr/bin/install
TMP=/tmp

exec_prefix = $(prefix)
datarootdir = $(prefix)/share
datadir = $(datarootdir)
bindir = $(exec_prefix)/bin
docdir = $(datarootdir)/doc/$(PACKAGENAME)
mandir = $(datarootdir)/man
localstatedir = $(prefix)/var
gamesdir = $(localstatedir)/games

NEWD=$(PACKAGENAME)-$(VERSION)
COMPILEDATE=$(shell date '+%Y-%m-%d')
TARPKGNAME=$(NEWD).pkg.tgz
OPTIONS=-DVERSION=\"$(VERSION)\" -DCOMPILEDATE=\"$(COMPILEDATE)\" -Wall `$(SDL_CONFIG) --cflags`
EXENAME=rockdodger

SOUNDLIBRARIES=-lSDL_mixer
SDL_CONFIG=sdl-config

LIBRARIES=`$(SDL_CONFIG) --libs` -lSDL_image $(SOUNDLIBRARIES) -lm
OBJECTS=SFont.o guru_meditation.o signal_handling.o random_gen.o datafun.o sound.o input_functions.o scroller.o display_subsystem.o \
	game_state.o highscore_io.o sprite.o \
	blubats.o greeblies.o powerup.o rocks.o spacedots.o ship.o engine_exhaust.o laser.o \
	mood_item.o sparkles.o \
	u-iff.o \
	rockdodger_globals.o intro.o main.o
MANPAGE=rockdodger.6

ifeq ($(profile),1)
	OPTIONS+=-pg
endif
ifeq ($(debug),0)
	OPTIONS+=-O2 -DNDEBUG
	ifneq ($(profile),1)
		OPTIONS+=-fomit-frame-pointer
	endif
else
	OPTIONS+=-O1 -DDEBUG
endif
CFLAGS=-MMD -g $(OPTIONS) $(MOREOPTS)

all:	$(EXENAME) config.h

config.h: config.h.in
	sed -e 's:@gamesdir@:$(gamesdir):' -e 's/@PACKAGENAME@/$(PACKAGENAME)/' -e 's:@datadir@:$(datadir):' $^ > $@

$(EXENAME):	config.h $(OBJECTS)
ifeq ($(profile),1)
	$(CC) -pg -o $(EXENAME) $(OBJECTS) $(LIBRARIES)
else
	$(CC) -o $(EXENAME) $(OBJECTS) $(LIBRARIES)
endif

clean:
	rm -f *.o *.d $(EXENAME) config.h TAGS

dist:
	$(MAKE) clean
	mkdir -p $(TMP)/$(NEWD)/data
	cp *.c *.h *.in Makefile COPYING *.xpm $(MANPAGE) rockdodger.desktop $(TMP)/$(NEWD)
	cp -r data/* $(TMP)/$(NEWD)/data
	( cd $(TMP);  tar zcf $(NEWD).tar.gz $(NEWD) )
	rm -rf $(TMP)/$(NEWD)
	mv $(TMP)/$(NEWD).tar.gz .

pkg:	$(EXENAME)
	(DTEMP=`mktemp -d $(TMP)/rock.XXXXX`; $(MAKE) install DESTDIR=$$DTEMP; echo $$DTEMP; \
	tar -C $$DTEMP -cvzf $(TARPKGNAME) . && rm -r $$DTEMP)

install:	all
	$(INSTALL) -d $(bindir) $(gamesdir)
	$(INSTALL) $(EXENAME) $(bindir)
	-chgrp games $(bindir)/$(EXENAME)
	chmod g+s $(bindir)/$(EXENAME)
	$(MAKE) -C data install
	touch $(gamesdir)/rockdodger.scores
	-chgrp games $(gamesdir)/rockdodger.scores
	chmod g+rw $(gamesdir)/rockdodger.scores
	mkdir -p $(mandir)/man6
	gzip  < $(MANPAGE) > $(mandir)/man6/$(MANPAGE).gz

uninstall:
	rm -f $(gamesdir)/rockdodger.scores
	rm -f $(bindir)/$(EXENAME)
	rm -f $(mandir)/man6/$(MANPAGE).gz
	$(MAKE) -C data uninstall

tags:
	etags *.c *.h >TAGS

.PHONY: all clean install uninstall dist pkg tags
-include $(OBJECTS:.o=.d)

=== data/Makefile ===
PACKAGENAME=rockdodger

prefix = $(DESTDIR)/usr/local
datarootdir = $(prefix)/share
datadir = $(datarootdir)
bindir = $(exec_prefix)/bin
docdir = $(datarootdir)/doc/$(PACKAGENAME)
mandir = $(datarootdir)/man
localstatedir = $(prefix)/var
gamesdir = $(localstatedir)/games

INSTALL = /usr/bin/install
DATAFILES=$(wildcard *.bmp) $(wildcard *.png) $(wildcard *.aiff) $(wildcard *.wav) $(wildcard *.mod) $(wildcard iff.*)
IMAGES = $(wildcard ./images/*.png) $(wildcard ./images/*.bmp) $(wildcard ./images/b*.xpm) $(wildcard ./images/*.ilbm)

all:
	@echo "prefix = $(prefix)"
	@echo datadir = $(datadir)
	@echo PACKAGENAME = $(PACKAGENAME)

install:
	$(INSTALL) -d $(datadir)/$(PACKAGENAME)/images
	cp $(DATAFILES) $(datadir)/$(PACKAGENAME)
	cp $(IMAGES) $(datadir)/$(PACKAGENAME)/images

uninstall:
	rm -rf $(datadir)/$(PACKAGENAME)/

.PHONY: all clean install uninstall dist

=== debian/changelog ===
rockdodger (0.9.2-1) unstable; urgency=low

  * New upstream release, removed some Debian patches.
  * Replaced manual page.
  * Added .desktop file.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 31 Dec 2013 09:08:13 +0100

rockdodger (0.9.1-3) unstable; urgency=low

  * Fixed file permissions.
  * Fixed watch file.

 -- Martin A. Godisch <godisch@debian.org>  Mon, 30 Dec 2013 16:48:39 +0100

rockdodger (0.9.1-2) unstable; urgency=low

  * Fixed build flags.
  * Fixed watch file.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 28 Dec 2013 10:35:04 +0100

rockdodger (0.9.1-1) unstable; urgency=low

  * New maintainer, closes: #731793.
  * New upstream version, closes: #698565.
  * New upstream hosting, closes: #696340.
  * Changed source format to v3.0 (quilt), removed debhelper.
  * Updated standards version and watch file.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 27 Dec 2013 20:19:22 +0100

rockdodger (0.6.0a-7) unstable; urgency=low

  * Makefile: Link with -lm.  Closes: #556324.

 -- Bart Martens <bartm@debian.org>  Thu, 11 Mar 2010 18:38:37 +0100

rockdodger (0.6.0a-6) unstable; urgency=low

  * debian/menu: Updated to newest menu policy.

 -- Bart Martens <bartm@debian.org>  Sat, 24 Nov 2007 23:09:58 +0100

rockdodger (0.6.0a-5) unstable; urgency=low

  * New maintainer.  Closes: #402227.
  * debian/*: Use cdbs, newest debhelper, newest standards version.
  * debian/copyright: Updated.
  * Makefile: Replaced hard-coded date by "date --rfc-3339=date".
  * debian/watch: Added.

 -- Bart Martens <bartm@knars.be>  Sat,  9 Dec 2006 11:50:53 +0100

rockdodger (0.6.0a-4) unstable; urgency=low

  * Fix FTBFS on gcc 4.0 due to use of struct before declaration.
    (closes: #300291)
  * Use debhelper V4.
  * React on noopt instead of debug in DEB_BUILD_OPTIONS to disable
    optimizations.
  * Quote remaining strings in menu file.
  * Convert icon to 32x32 XPM with transparency.
  * Bump Standards-Version to 3.6.2.
  * Change chown root.games to chown root:games in postinst.

 -- Andreas Bombe <aeb@debian.org>  Tue, 01 Nov 2005 21:03:17 +0100

rockdodger (0.6.0a-3) unstable; urgency=low

  * List keyboard controls in the man page exhaustively and in a separate
    table. (closes: #291862)

 -- Andreas Bombe <aeb@debian.org>  Sun, 13 Feb 2005 17:06:42 +0100

rockdodger (0.6.0a-2) unstable; urgency=low

  * Show icon in menu entry (closes: #275634).
  * Fix possible buffer overflow from contents of HOME environment variable
    (closes: #278878).

 -- Andreas Bombe <aeb@debian.org>  Mon, 22 Nov 2004 04:12:26 +0100

rockdodger (0.6.0a-1) unstable; urgency=low

  * New upstream release.
  * Always build with debugging symbols, let dh_strip deal with stripping
    it depending on DEB_BUILD_OPTIONS.
  * Change upstream Makefile to append "-debian" to version number and
    #define release date as compilation date.
  * Update man page for new options.

 -- Andreas Bombe <aeb@debian.org>  Mon, 23 Dec 2002 20:46:05 +0100

rockdodger (0.6-2) unstable; urgency=low

  * Fix parsing of highscore file with empty names (closes: #155709).
  * Fix help to show -w option (closes: #155844).

 -- Andreas Bombe <aeb@debian.org>  Fri,  9 Aug 2002 18:36:03 +0200

rockdodger (0.6-1) unstable; urgency=low

  * New upstream release.
  * Do not expect /var/games to exist (closes: #155322).
  * Handle DEB_BUILD_OPTIONS better on building.

 -- Andreas Bombe <aeb@debian.org>  Mon,  5 Aug 2002 18:58:19 +0200

rockdodger (0.5.1-1) unstable; urgency=low

  * Packaged Rock Dodger (closes: #153863)

 -- Andreas Bombe <aeb@debian.org>  Wed, 24 Jul 2002 16:13:09 +0200

=== debian/control ===
Source: rockdodger
Section: games
Priority: optional
Maintainer: Martin A. Godisch <godisch@debian.org>
Build-Depends: libsdl-image1.2-dev, libsdl-mixer1.2-dev
Standards-Version: 3.9.5
Homepage: https://code.google.com/p/rockdodger/

Package: rockdodger
Architecture: any
Depends: ${shlibs:Depends}
Description: Fly through an asteroid field avoiding rocks and greeblies
 Rock Dodger is a horizontal scrolling action game where you have to
 navigate your spaceship through a stream of rocks flying in from the
 right. Your only help is a laser to destroy rocks and a limited amount
 of shield. This game had once upon in time the 4th place in NoStarch
 game contest.

=== debian/rules ===
#!/usr/bin/make -f

testdir  = test -f rockdodger_globals.c && test -f debian/rules
testroot = test x`whoami` = xroot

CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   = $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS)
export LDFLAGS
MOREOPTS = $(CPPFLAGS) $(CFLAGS) -Wall -Werror
export MOREOPTS

clean:
	$(testdir)
	rm -f build-stamp debian/files debian/substvars
	rm -rf debian/tmp
	$(MAKE) clean

build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp:
	$(testdir)
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp prefix=$(CURDIR)/debian/tmp/usr bindir=$(CURDIR)/debian/tmp/usr/games datarootdir=$(CURDIR)/debian/tmp/usr/share localstatedir=$(CURDIR)/debian/tmp/var
	touch $@

binary: binary-arch binary-indep

binary-arch: build
	$(testdir)
	$(testroot)
	rm -rf debian/tmp

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp prefix=$(CURDIR)/debian/tmp/usr bindir=$(CURDIR)/debian/tmp/usr/games datarootdir=$(CURDIR)/debian/tmp/usr/share localstatedir=$(CURDIR)/debian/tmp/var
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	strip -R .comment -R .note debian/tmp/usr/games/rockdodger
endif
	rm debian/tmp/var/games/rockdodger.scores

	install -p -m 0644 debian/icon32x32.xpm debian/tmp/usr/share/rockdodger

	install -D -p -m 0644 debian/menu debian/tmp/usr/share/menu/rockdodger
	install -D -p -m 0644 rockdodger.desktop debian/tmp/usr/share/applications/rockdodger.desktop

	install -D -p -m 0644 debian/changelog debian/tmp/usr/share/doc/rockdodger/changelog.Debian
	gzip -9 debian/tmp/usr/share/doc/rockdodger/changelog.Debian
	install -p -m 0644 debian/copyright debian/tmp/usr/share/doc/rockdodger

	install -d -m 0755 debian/tmp/DEBIAN
	install -p -m 0644 debian/control debian/tmp/DEBIAN
	install -p -m 0755 debian/postinst debian/postrm debian/tmp/DEBIAN

	cd debian/tmp && find usr -type f -print0 | xargs -0 md5sum > DEBIAN/md5sums

	chown -R root:root debian/tmp
	chmod -R go=u-w debian/tmp
	chown root:games debian/tmp/usr/games/rockdodger
	chmod 2755 debian/tmp/usr/games/rockdodger

	dpkg-shlibdeps debian/tmp/usr/games/rockdodger
	dpkg-gencontrol -isp -prockdodger
	dpkg --build debian/tmp ..

binary-indep:

.PHONY: clean build build-arch build-indep binary binary-arch binary-indep

=== debian/watch ===
version=3
http://code.google.com/p/rockdodger/downloads/list .*/rockdodger-(\d(?:\.\d|\w)*)\.(?:pkg\.)?(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## rockdodger 1.0.0

=== Makefile ===
--- 
+++ 
@@ -14,14 +14,14 @@
 
 #   You should have received a copy of the GNU General Public License
 #   along with this program; if not, write to the Free Software
-#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+#   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
 profile=0
 debug=0
 
-VMAJOR=0
-VMINOR=9
-VRELEASE=2
+VMAJOR=1
+VMINOR=0
+VRELEASE=0
 VERSION=$(VMAJOR).$(VMINOR).$(VRELEASE)
 PACKAGENAME=rockdodger
 
@@ -51,9 +51,9 @@
 OBJECTS=SFont.o guru_meditation.o signal_handling.o random_gen.o datafun.o sound.o input_functions.o scroller.o display_subsystem.o \
 	game_state.o highscore_io.o sprite.o \
 	blubats.o greeblies.o powerup.o rocks.o spacedots.o ship.o engine_exhaust.o laser.o \
-	mood_item.o sparkles.o \
-	u-iff.o \
-	rockdodger_globals.o intro.o main.o
+	mood_item.o sparkles.o yellifish.o infoscreen.o \
+	u-iff.o sekrit_lab.o\
+	globals.o intro.o main.o
 MANPAGE=rockdodger.6
 
 ifeq ($(profile),1)

=== debian/changelog ===
rockdodger (1.0.0-1) unstable; urgency=low

  * New upstream release, closes: #766683.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Thu, 30 Oct 2014 18:23:34 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Martin A. Godisch <godisch@debian.org>
 Build-Depends: libsdl-image1.2-dev, libsdl-mixer1.2-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://code.google.com/p/rockdodger/
 
 Package: rockdodger

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-testdir  = test -f rockdodger_globals.c && test -f debian/rules
+testdir  = test -f rocks.c && test -f debian/rules
 testroot = test x`whoami` = xroot
 
 CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)

## rockdodger 1.0.2

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 VMAJOR=1
 VMINOR=0
-VRELEASE=0
+VRELEASE=2
 VERSION=$(VMAJOR).$(VMINOR).$(VRELEASE)
 PACKAGENAME=rockdodger

=== debian/changelog ===
rockdodger (1.0.2-2) unstable; urgency=low

  * Fix from upstream author for in-game error, closes: #862838.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 30 May 2017 05:19:08 +0200

rockdodger (1.0.2-1) unstable; urgency=low

  * New upstream release, new upstream download URL, closes: #795130.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 11 Aug 2015 19:10:56 +0200

rockdodger (1.0.0-2) unstable; urgency=low

  * Fixed reproducible builds, closes: #778205, thanks to Chris Lamb.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 07 Jun 2015 18:58:56 +0200

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 	install -D -p -m 0644 rockdodger.desktop debian/tmp/usr/share/applications/rockdodger.desktop
 
 	install -D -p -m 0644 debian/changelog debian/tmp/usr/share/doc/rockdodger/changelog.Debian
-	gzip -9 debian/tmp/usr/share/doc/rockdodger/changelog.Debian
+	gzip -9n debian/tmp/usr/share/doc/rockdodger/changelog.Debian
 	install -p -m 0644 debian/copyright debian/tmp/usr/share/doc/rockdodger
 
 	install -d -m 0755 debian/tmp/DEBIAN

## rockdodger 1.1.2

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 debug=0
 
 VMAJOR=1
-VMINOR=0
+VMINOR=1
 VRELEASE=2
 VERSION=$(VMAJOR).$(VMINOR).$(VRELEASE)
 PACKAGENAME=rockdodger
@@ -39,7 +39,7 @@
 gamesdir = $(localstatedir)/games
 
 NEWD=$(PACKAGENAME)-$(VERSION)
-COMPILEDATE=$(shell date '+%Y-%m-%d')
+COMPILEDATE=$(shell date --date=@$${SOURCE_DATE_EPOCH:-$$(date +%s)} '+%Y-%m-%d')
 TARPKGNAME=$(NEWD).pkg.tgz
 OPTIONS=-DVERSION=\"$(VERSION)\" -DCOMPILEDATE=\"$(COMPILEDATE)\" -Wall `$(SDL_CONFIG) --cflags`
 EXENAME=rockdodger

=== debian/changelog ===
rockdodger (1.1.2-1) unstable; urgency=low

  * New upstream release.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 21 Jul 2018 20:48:06 +0200

rockdodger (1.0.2-3) unstable; urgency=low

  * Fixed FTBFS, closes: #897847.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 21 Jul 2018 20:35:17 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Martin A. Godisch <godisch@debian.org>
 Build-Depends: libsdl-image1.2-dev, libsdl-mixer1.2-dev
-Standards-Version: 3.9.6
-Homepage: https://code.google.com/p/rockdodger/
+Standards-Version: 4.1.5
+Homepage: https://bitbucket.org/rpkrawczyk/rockdodger
 
 Package: rockdodger
 Architecture: any

## rockdodger 1.1.3

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 VMAJOR=1
 VMINOR=1
-VRELEASE=2
+VRELEASE=3
 VERSION=$(VMAJOR).$(VMINOR).$(VRELEASE)
 PACKAGENAME=rockdodger
 
@@ -78,7 +78,7 @@
 ifeq ($(profile),1)
 	$(CC) -pg -o $(EXENAME) $(OBJECTS) $(LIBRARIES)
 else
-	$(CC) -o $(EXENAME) $(OBJECTS) $(LIBRARIES)
+	$(CC) $(LDFLAGS) -o $(EXENAME) $(OBJECTS) $(LIBRARIES)
 endif
 
 clean:
@@ -107,7 +107,7 @@
 	-chgrp games $(gamesdir)/rockdodger.scores
 	chmod g+rw $(gamesdir)/rockdodger.scores
 	mkdir -p $(mandir)/man6
-	gzip  < $(MANPAGE) > $(mandir)/man6/$(MANPAGE).gz
+	gzip -9n < $(MANPAGE) > $(mandir)/man6/$(MANPAGE).gz
 
 uninstall:
 	rm -f $(gamesdir)/rockdodger.scores

=== debian/changelog ===
rockdodger (1.1.3-2) unstable; urgency=low

  * Made build reproducible, fixed DEBIAN/md5sums.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 16 Feb 2019 18:35:41 +0100

rockdodger (1.1.3-1) unstable; urgency=low

  * New upstream release.
  * Removed patches.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 15 Feb 2019 11:08:30 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Martin A. Godisch <godisch@debian.org>
 Build-Depends: libsdl-image1.2-dev, libsdl-mixer1.2-dev
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Homepage: https://bitbucket.org/rpkrawczyk/rockdodger
 
 Package: rockdodger

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp prefix=$(CURDIR)/debian/tmp/usr bindir=$(CURDIR)/debian/tmp/usr/games datarootdir=$(CURDIR)/debian/tmp/usr/share localstatedir=$(CURDIR)/debian/tmp/var
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-	strip -R .comment -R .note debian/tmp/usr/games/rockdodger
+	strip --strip-unneeded -R .comment -R .note debian/tmp/usr/games/rockdodger
 endif
 	rm debian/tmp/var/games/rockdodger.scores
 
@@ -53,7 +53,7 @@
 	install -p -m 0644 debian/control debian/tmp/DEBIAN
 	install -p -m 0755 debian/postinst debian/postrm debian/tmp/DEBIAN
 
-	cd debian/tmp && find usr -type f -print0 | xargs -0 md5sum > DEBIAN/md5sums
+	cd debian/tmp && find * -type f ! -regex "^DEBIAN/.*" -print0 | LC_ALL=C sort -z | xargs -0r md5sum > DEBIAN/md5sums
 
 	chown -R root:root debian/tmp
 	chmod -R go=u-w debian/tmp
@@ -61,7 +61,7 @@
 	chmod 2755 debian/tmp/usr/games/rockdodger
 
 	dpkg-shlibdeps debian/tmp/usr/games/rockdodger
-	dpkg-gencontrol -isp -prockdodger
+	dpkg-gencontrol -prockdodger
 	dpkg --build debian/tmp ..
 
 binary-indep:

## rockdodger 1.1.4

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 VMAJOR=1
 VMINOR=1
-VRELEASE=3
+VRELEASE=4
 VERSION=$(VMAJOR).$(VMINOR).$(VRELEASE)
 PACKAGENAME=rockdodger

=== data/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 INSTALL = /usr/bin/install
 DATAFILES=$(wildcard *.bmp) $(wildcard *.png) $(wildcard *.aiff) $(wildcard *.wav) $(wildcard *.mod) $(wildcard iff.*)
-IMAGES = $(wildcard ./images/*.png) $(wildcard ./images/*.bmp) $(wildcard ./images/b*.xpm) $(wildcard ./images/*.ilbm)
+IMAGES = $(wildcard ./images/*.png) $(wildcard ./images/*.bmp) $(wildcard ./images/*.xpm) $(wildcard ./images/*.ilbm)
 
 all:
 	@echo "prefix = $(prefix)"

=== debian/changelog ===
rockdodger (1.1.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make requirement for root when building the package explicit.
    (Closes: #1089420)

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jan 2025 12:21:27 +0000

rockdodger (1.1.4-3) unstable; urgency=low

  * rebuild against current sid

 -- Martin A. Godisch <godisch@debian.org>  Sun, 17 Mar 2024 07:49:12 +0100

rockdodger (1.1.4-2) unstable; urgency=medium

  * source-only upload

 -- Martin A. Godisch <godisch@debian.org>  Sun, 26 Jul 2020 12:52:40 +0200

rockdodger (1.1.4-1) unstable; urgency=medium

  * Fix FTCBFS: Let dpkg's buildtools.mk supply tools, closes: #923614.
    Thanks to Helmut Grohne.
  * New upstream relase, closes: #957767 (build using gcc-10).
    Thanks to Robert Krawczyk.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 25 Jul 2020 06:31:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Martin A. Godisch <godisch@debian.org>
 Build-Depends: libsdl-image1.2-dev, libsdl-mixer1.2-dev
+Rules-Requires-Root: binary-targets
 Standards-Version: 4.3.0
 Homepage: https://bitbucket.org/rpkrawczyk/rockdodger

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,11 @@
 #!/usr/bin/make -f
+
+-include /usr/share/dpkg/buildtools.mk
 
 testdir  = test -f rocks.c && test -f debian/rules
 testroot = test x`whoami` = xroot
 
+STRIP ?= strip
 CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
 CFLAGS   = $(shell dpkg-buildflags --get CFLAGS)
 LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS)
@@ -24,7 +27,7 @@
 
 build-stamp:
 	$(testdir)
-	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp prefix=$(CURDIR)/debian/tmp/usr bindir=$(CURDIR)/debian/tmp/usr/games datarootdir=$(CURDIR)/debian/tmp/usr/share localstatedir=$(CURDIR)/debian/tmp/var
+	$(MAKE) 'CC=$(CC)' DESTDIR=$(CURDIR)/debian/tmp prefix=$(CURDIR)/debian/tmp/usr bindir=$(CURDIR)/debian/tmp/usr/games datarootdir=$(CURDIR)/debian/tmp/usr/share localstatedir=$(CURDIR)/debian/tmp/var
 	touch $@
 
 binary: binary-arch binary-indep
@@ -36,7 +39,7 @@
 
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp prefix=$(CURDIR)/debian/tmp/usr bindir=$(CURDIR)/debian/tmp/usr/games datarootdir=$(CURDIR)/debian/tmp/usr/share localstatedir=$(CURDIR)/debian/tmp/var
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-	strip --strip-unneeded -R .comment -R .note debian/tmp/usr/games/rockdodger
+	$(STRIP) --strip-unneeded -R .comment -R .note debian/tmp/usr/games/rockdodger
 endif
 	rm debian/tmp/var/games/rockdodger.scores
